De bug, die vorige week werd ontdekt, heeft te maken met de manier waarop Firefox omgaat met Javascript-code. Dit kan door aanvallers worden misbruikt om een browser te laten crashen.

In theorie zou een hacker zodoende de browser ook kwaadaardige code kunnen laten uitvoeren, aldus Mozilla in een advisory. De update (1.5.0.3) zorgt ervoor dat het lek wordt gedicht.

Gebruikers van Firefox 1.0-browsers en Mozilla Suite 1.7 hebben geen last van het lek. Gebruikers van Firefox 1.5 zullen de patch automatisch ontvangen via het ingebouwde updatesysteem.

Eind vorige week maakten de ontwikkelaars van de browser bekend de update naar 1.5.0.3 iets uit te kleden om deze eerder vrij te kunnen geven. Bron: Techworld